import {enableProdMode, importProvidersFrom} from '@angular/core';


import {bootstrapApplication} from '@angular/platform-browser';


import {RouteReuseStrategy, provideRouter} from '@angular/router';


import {IonicModule} from '@ionic/angular';

import {provideIonicAngular, IonicRouteStrategy} from '@ionic/angular/standalone';

import {routes} from './app/app.routes';
import {AppComponent} from './app/app.component';

bootstrapApplication(AppComponent, {
  providers: [
    {provide: RouteReuseStrategy, useClass: IonicRouteStrategy},
    /**

     * The custom config serves as an example

     * of how to pass a config to provideIonicAngular.

     * You do not need to set "mode: 'ios'" to

     * use Ionic standalone components.
     */
    importProvidersFrom(IonicModule.forRoot({mode: 'ios'})),
    provideIonicAngular({mode: 'ios'}),
    provideRouter(routes), provideIonicAngular({}),
  ],
});
